Download it now!
Bug 77887 - FILESAVE : Floating Table positions are not preserved when doing Export
Summary: FILESAVE : Floating Table positions are not preserved when doing Export
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 10:41 UTC by Ravindra Vidhate
Modified: 2015-05-27 22:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (38.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-24 10:41 UTC, Ravindra Vidhate
Details
Comparision Screen shot (322.40 KB, image/png)
2014-04-24 10:42 UTC, Ravindra Vidhate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-04-24 10:41:52 UTC
Created attachment 97893 [details]
Original File

Problem description: 
When we export the DOCX file from LO [containing floating table], the table position gets shifted.


Steps to reproduce:
1. Open DOCX file containing floating table in LO.
2. Export it to DOCX file.
3. Open the exported file MS-Office, the floating table is getting shifted. 

Current behavior:
The margin of the floating table from top of the page is not being preserved correctly and it also get increased.

The w:tblpPr tag is also not preserved.

Expected behavior:
The margin should be preserved correctly and w:tblpPr tag should be preserved.
Comment 1 Ravindra Vidhate 2014-04-24 10:42:25 UTC
Created attachment 97894 [details]
Comparision Screen shot
Comment 2 Jorendc 2014-04-25 20:09:59 UTC
Reproducible, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1 
Build ID: 46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781

Kind regards,
Joren
Comment 3 Commit Notification 2014-05-06 07:59:59 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbcc6189e300b6aa5e9e8e6883598a4d28b770c0

fdo#77887 :  Floating Table positions are not preserved when doing Export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-05-07 08:21:23 UTC
Not reproducible anymore, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 081a0854635f4bc9f6f743ef4e2675c208405f74
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_23:32:18

Thanks for fixing!

Kind regards,
Joren